Index: trunk/src/VBox/Additions/freebsd/Makefile.kmk
===================================================================
--- trunk/src/VBox/Additions/freebsd/Makefile.kmk	(revision 38147)
+++ trunk/src/VBox/Additions/freebsd/Makefile.kmk	(revision 38152)
@@ -174,6 +174,6 @@
 #
 $(PATH_STAGE_BIN)/additions/VBoxFreeBSDAdditions.tbz: \
-		$(INSTARGET_fbsd_add_inst-nobin) \
-		$(INSTARGET_fbsd_add_inst-bin) \
+		$$(fbsd_add_inst-nobin_2_STAGE_TARGET) \
+		$$(fbsd_add_inst-bin_2_STAGE_TARGET) \
 		$(VBOX_FBSD_ADD_INS_FILES) \
 		$(VBOX_FBSD_ADD_INS_MODULES) \
Index: trunk/src/VBox/Additions/linux/Makefile.kmk
===================================================================
--- trunk/src/VBox/Additions/linux/Makefile.kmk	(revision 38147)
+++ trunk/src/VBox/Additions/linux/Makefile.kmk	(revision 38152)
@@ -391,9 +391,9 @@
 # All the files that go into our archive
 VBOX_LNX_ADD_ARCH_FILES = \
-	$(INSTARGET_lnx_add_inst-noexec) \
-	$(INSTARGET_lnx_add_inst-exec) \
-	$(INSTARGET_lnx_add_inst-license) \
-	$(INSTARGET_LnxAddTest-src) \
-	$(INSTARGET_LnxAddDRM-src) \
+	$(lnx_add_inst-noexec_2_STAGE_TARGET) \
+	$(lnx_add_inst-exec_2_STAGE_TARGET) \
+	$(lnx_add_inst-license_2_STAGE_TARGET) \
+	$(LnxAddTest-src_2_STAGE_TARGET) \
+	$(LnxAddDRM-src_2_STAGE_TARGET) \
 	$(VBOX_LNX_ADD_INST_FILES)
 
@@ -454,5 +454,5 @@
 		$(VBOX_LNX_ADD_ARCHIVES) \
 		$(VBOX_LNX_ADD_INST_STAGE_DIR)install.sh \
-		$$(INSTARGET_LnxAdd-scripts) \
+		$$(LnxAdd-scripts_2_STAGE_TARGET) \
 		$(VBOX_VERSION_STAMP)
     # Remove any archives left over from previous builds so that they don't
Index: trunk/src/VBox/Additions/x11/VBoxClient/Makefile.kmk
===================================================================
--- trunk/src/VBox/Additions/x11/VBoxClient/Makefile.kmk	(revision 38147)
+++ trunk/src/VBox/Additions/x11/VBoxClient/Makefile.kmk	(revision 38152)
@@ -90,6 +90,6 @@
    TESTING  += $(tstSeamlessX11-auto_0_OUTDIR)/tstSeamlessX11-auto
 $$(tstSeamlessX11-auto_0_OUTDIR)/tstSeamlessX11-auto.run: \
-        $$(INSTARGET_tstSeamlessX11-auto)
-	export VBOX_LOG_DEST=nofile; $(INSTARGET_tstSeamlessX11-auto) quiet
+        $$(tstSeamlessX11-auto_1_STAGE_TARGET)
+	export VBOX_LOG_DEST=nofile; $(tstSeamlessX11-auto_1_STAGE_TARGET) quiet
 	$(QUIET)$(APPEND) -t "$@" "done"
 
Index: trunk/src/VBox/Additions/x11/vboxmouse/Makefile.kmk
===================================================================
--- trunk/src/VBox/Additions/x11/vboxmouse/Makefile.kmk	(revision 38147)
+++ trunk/src/VBox/Additions/x11/vboxmouse/Makefile.kmk	(revision 38152)
@@ -247,8 +247,8 @@
       TESTING += $(vboxmouse_drv_0_OUTDIR)/tstvboxmouse68.run
       OTHERS += $(vboxmouse_drv_0_OUTDIR)/tstvboxmouse68.run
-$$(vboxmouse_drv_0_OUTDIR)/tstvboxmouse68.run: $$(INSTARGET_vboxmouse_drv)
+$$(vboxmouse_drv_0_OUTDIR)/tstvboxmouse68.run: $$(vboxmouse_drv_1_STAGE_TARGET)
 	$(QUIET)$(call MSG_L1,Checking for unresolved symbols in $<)
 	$(QUIET)/bin/sh $(PATH_ROOT)/src/bldprogs/checkUndefined.sh $(KBUILD_TARGET) \
-	    "$(INSTARGET_vboxmouse_drv)" "$(VBOXMOUSE_SRC_PATH)/undefined_68" --static
+	    "$(vboxmouse_drv_1_STAGE_TARGET)" "$(VBOXMOUSE_SRC_PATH)/undefined_68" --static
 	$(QUIET)$(APPEND) -t "$@" "done"
      endif
@@ -256,80 +256,80 @@
      TESTING += $(vboxmouse_drv_70_0_OUTDIR)/tstvboxmouse70.run
      OTHERS += $(vboxmouse_drv_70_0_OUTDIR)/tstvboxmouse70.run
-$$(vboxmouse_drv_70_0_OUTDIR)/tstvboxmouse70.run: $$(INSTARGET_vboxmouse_drv_70)
+$$(vboxmouse_drv_70_0_OUTDIR)/tstvboxmouse70.run: $$(vboxmouse_drv_70_1_STAGE_TARGET)
 	$(QUIET)$(call MSG_L1,Checking for unresolved symbols in $<)
 	$(QUIET)/bin/sh $(PATH_ROOT)/src/bldprogs/checkUndefined.sh  $(KBUILD_TARGET) \
-	    $(INSTARGET_vboxmouse_drv_70) $(VBOXMOUSE_SRC_PATH)/undefined_70
+	    $(vboxmouse_drv_70_1_STAGE_TARGET) $(VBOXMOUSE_SRC_PATH)/undefined_70
 	$(QUIET)$(APPEND) -t "$@" "done"
 
      TESTING += $(vboxmouse_drv_71_0_OUTDIR)/tstvboxmouse71.run
      OTHERS += $(vboxmouse_drv_71_0_OUTDIR)/tstvboxmouse71.run
-$$(vboxmouse_drv_71_0_OUTDIR)/tstvboxmouse71.run: $$(INSTARGET_vboxmouse_drv_71)
-	$(QUIET)$(call MSG_L1,Checking for unresolved symbols in $<)
-	$(QUIET)/bin/sh $(PATH_ROOT)/src/bldprogs/checkUndefined.sh $(KBUILD_TARGET)  \
-	    $(INSTARGET_vboxmouse_drv_71) $(VBOXMOUSE_SRC_PATH)/undefined_71
+$$(vboxmouse_drv_71_0_OUTDIR)/tstvboxmouse71.run: $$(vboxmouse_drv_71_1_STAGE_TARGET)
+	$(QUIET)$(call MSG_L1,Checking for unresolved symbols in $<)
+	$(QUIET)/bin/sh $(PATH_ROOT)/src/bldprogs/checkUndefined.sh $(KBUILD_TARGET)  \
+	    $(vboxmouse_drv_71_1_STAGE_TARGET) $(VBOXMOUSE_SRC_PATH)/undefined_71
 	$(QUIET)$(APPEND) -t "$@" "done"
 
      TESTING += $(vboxmouse_drv_13_0_OUTDIR)/tstvboxmouse13.run
      OTHERS += $(vboxmouse_drv_13_0_OUTDIR)/tstvboxmouse13.run
-$$(vboxmouse_drv_13_0_OUTDIR)/tstvboxmouse13.run: $$(INSTARGET_vboxmouse_drv_13)
+$$(vboxmouse_drv_13_0_OUTDIR)/tstvboxmouse13.run: $$(vboxmouse_drv_13_1_STAGE_TARGET)
 	$(QUIET)$(call MSG_L1,Checking for unresolved symbols in $<)
 	$(QUIET)/bin/sh $(PATH_ROOT)/src/bldprogs/checkUndefined.sh $(KBUILD_TARGET) \
-	    $(INSTARGET_vboxmouse_drv_13) $(VBOXMOUSE_SRC_PATH)/undefined_15
+	    $(vboxmouse_drv_13_1_STAGE_TARGET) $(VBOXMOUSE_SRC_PATH)/undefined_15
 	$(QUIET)$(APPEND) -t "$@" "done"
 
      TESTING += $(vboxmouse_drv_14_0_OUTDIR)/tstvboxmouse14.run
      OTHERS += $(vboxmouse_drv_14_0_OUTDIR)/tstvboxmouse14.run
-$$(vboxmouse_drv_14_0_OUTDIR)/tstvboxmouse14.run: $$(INSTARGET_vboxmouse_drv_14)
+$$(vboxmouse_drv_14_0_OUTDIR)/tstvboxmouse14.run: $$(vboxmouse_drv_14_1_STAGE_TARGET)
 	$(QUIET)$(call MSG_L1,Checking for unresolved symbols in $<)
 	$(QUIET)/bin/sh $(PATH_ROOT)/src/bldprogs/checkUndefined.sh $(KBUILD_TARGET) \
-	    $(INSTARGET_vboxmouse_drv_14) $(VBOXMOUSE_SRC_PATH)/undefined_15
+	    $(vboxmouse_drv_14_1_STAGE_TARGET) $(VBOXMOUSE_SRC_PATH)/undefined_15
 	$(QUIET)$(APPEND) -t "$@" "done"
 
      TESTING += $(vboxmouse_drv_15_0_OUTDIR)/tstvboxmouse15.run
      OTHERS += $(vboxmouse_drv_15_0_OUTDIR)/tstvboxmouse15.run
-$$(vboxmouse_drv_15_0_OUTDIR)/tstvboxmouse15.run: $$(INSTARGET_vboxmouse_drv_15)
-	$(QUIET)$(call MSG_L1,Checking for unresolved symbols in $<)
-	$(QUIET)/bin/sh $(PATH_ROOT)/src/bldprogs/checkUndefined.sh $(KBUILD_TARGET)  \
-	    $(INSTARGET_vboxmouse_drv_15) $(VBOXMOUSE_SRC_PATH)/undefined_15
+$$(vboxmouse_drv_15_0_OUTDIR)/tstvboxmouse15.run: $$(vboxmouse_drv_15_1_STAGE_TARGET)
+	$(QUIET)$(call MSG_L1,Checking for unresolved symbols in $<)
+	$(QUIET)/bin/sh $(PATH_ROOT)/src/bldprogs/checkUndefined.sh $(KBUILD_TARGET)  \
+	    $(vboxmouse_drv_15_1_STAGE_TARGET) $(VBOXMOUSE_SRC_PATH)/undefined_15
 	$(QUIET)$(APPEND) -t "$@" "done"
 
      TESTING += $(vboxmouse_drv_16_0_OUTDIR)/tstvboxmouse16.run
      OTHERS += $(vboxmouse_drv_16_0_OUTDIR)/tstvboxmouse16.run
-$$(vboxmouse_drv_16_0_OUTDIR)/tstvboxmouse16.run: $$(INSTARGET_vboxmouse_drv_16)
-	$(QUIET)$(call MSG_L1,Checking for unresolved symbols in $<)
-	$(QUIET)/bin/sh $(PATH_ROOT)/src/bldprogs/checkUndefined.sh $(KBUILD_TARGET)  \
-	    $(INSTARGET_vboxmouse_drv_16) $(VBOXMOUSE_SRC_PATH)/undefined_15
+$$(vboxmouse_drv_16_0_OUTDIR)/tstvboxmouse16.run: $$(vboxmouse_drv_16_1_STAGE_TARGET)
+	$(QUIET)$(call MSG_L1,Checking for unresolved symbols in $<)
+	$(QUIET)/bin/sh $(PATH_ROOT)/src/bldprogs/checkUndefined.sh $(KBUILD_TARGET)  \
+	    $(vboxmouse_drv_16_1_STAGE_TARGET) $(VBOXMOUSE_SRC_PATH)/undefined_15
 	$(QUIET)$(APPEND) -t "$@" "done"
 
      TESTING += $(vboxmouse_drv_17_0_OUTDIR)/tstvboxmouse17.run
      OTHERS += $(vboxmouse_drv_17_0_OUTDIR)/tstvboxmouse17.run
-$$(vboxmouse_drv_17_0_OUTDIR)/tstvboxmouse17.run: $$(INSTARGET_vboxmouse_drv_17)
-	$(QUIET)$(call MSG_L1,Checking for unresolved symbols in $<)
-	$(QUIET)/bin/sh $(PATH_ROOT)/src/bldprogs/checkUndefined.sh $(KBUILD_TARGET)  \
-	    $(INSTARGET_vboxmouse_drv_17) $(VBOXMOUSE_SRC_PATH)/undefined_15
+$$(vboxmouse_drv_17_0_OUTDIR)/tstvboxmouse17.run: $$(vboxmouse_drv_17_1_STAGE_TARGET)
+	$(QUIET)$(call MSG_L1,Checking for unresolved symbols in $<)
+	$(QUIET)/bin/sh $(PATH_ROOT)/src/bldprogs/checkUndefined.sh $(KBUILD_TARGET)  \
+	    $(vboxmouse_drv_17_1_STAGE_TARGET) $(VBOXMOUSE_SRC_PATH)/undefined_15
 	$(QUIET)$(APPEND) -t "$@" "done"
 
      TESTING += $(vboxmouse_drv_18_0_OUTDIR)/tstvboxmouse18.run
      OTHERS += $(vboxmouse_drv_18_0_OUTDIR)/tstvboxmouse18.run
-$$(vboxmouse_drv_18_0_OUTDIR)/tstvboxmouse18.run: $$(INSTARGET_vboxmouse_drv_18)
-	$(QUIET)$(call MSG_L1,Checking for unresolved symbols in $<)
-	$(QUIET)/bin/sh $(PATH_ROOT)/src/bldprogs/checkUndefined.sh $(KBUILD_TARGET)  \
-	    $(INSTARGET_vboxmouse_drv_18) $(VBOXMOUSE_SRC_PATH)/undefined_15
+$$(vboxmouse_drv_18_0_OUTDIR)/tstvboxmouse18.run: $$(vboxmouse_drv_18_1_STAGE_TARGET)
+	$(QUIET)$(call MSG_L1,Checking for unresolved symbols in $<)
+	$(QUIET)/bin/sh $(PATH_ROOT)/src/bldprogs/checkUndefined.sh $(KBUILD_TARGET)  \
+	    $(vboxmouse_drv_18_1_STAGE_TARGET) $(VBOXMOUSE_SRC_PATH)/undefined_15
 	$(QUIET)$(APPEND) -t "$@" "done"
 
      TESTING += $(vboxmouse_drv_19_0_OUTDIR)/tstvboxmouse19.run
      OTHERS += $(vboxmouse_drv_19_0_OUTDIR)/tstvboxmouse19.run
-$$(vboxmouse_drv_19_0_OUTDIR)/tstvboxmouse19.run: $$(INSTARGET_vboxmouse_drv_19)
-	$(QUIET)$(call MSG_L1,Checking for unresolved symbols in $<)
-	$(QUIET)/bin/sh $(PATH_ROOT)/src/bldprogs/checkUndefined.sh $(KBUILD_TARGET)  \
-	    $(INSTARGET_vboxmouse_drv_19) $(VBOXMOUSE_SRC_PATH)/undefined_15
+$$(vboxmouse_drv_19_0_OUTDIR)/tstvboxmouse19.run: $$(vboxmouse_drv_19_1_STAGE_TARGET)
+	$(QUIET)$(call MSG_L1,Checking for unresolved symbols in $<)
+	$(QUIET)/bin/sh $(PATH_ROOT)/src/bldprogs/checkUndefined.sh $(KBUILD_TARGET)  \
+	    $(vboxmouse_drv_19_1_STAGE_TARGET) $(VBOXMOUSE_SRC_PATH)/undefined_15
 	$(QUIET)$(APPEND) -t "$@" "done"
 
      TESTING += $(vboxmouse_drv_110_0_OUTDIR)/tstvboxmouse110.run
      OTHERS += $(vboxmouse_drv_110_0_OUTDIR)/tstvboxmouse110.run
-$$(vboxmouse_drv_110_0_OUTDIR)/tstvboxmouse110.run: $$(INSTARGET_vboxmouse_drv_110)
-	$(QUIET)$(call MSG_L1,Checking for unresolved symbols in $<)
-	$(QUIET)/bin/sh $(PATH_ROOT)/src/bldprogs/checkUndefined.sh $(KBUILD_TARGET)  \
-	    $(INSTARGET_vboxmouse_drv_110) $(VBOXMOUSE_SRC_PATH)/undefined_15
+$$(vboxmouse_drv_110_0_OUTDIR)/tstvboxmouse110.run: $$(vboxmouse_drv_110_1_STAGE_TARGET)
+	$(QUIET)$(call MSG_L1,Checking for unresolved symbols in $<)
+	$(QUIET)/bin/sh $(PATH_ROOT)/src/bldprogs/checkUndefined.sh $(KBUILD_TARGET)  \
+	    $(vboxmouse_drv_110_1_STAGE_TARGET) $(VBOXMOUSE_SRC_PATH)/undefined_15
 	$(QUIET)$(APPEND) -t "$@" "done"
 
Index: trunk/src/VBox/Additions/x11/vboxvideo/Makefile.kmk
===================================================================
--- trunk/src/VBox/Additions/x11/vboxvideo/Makefile.kmk	(revision 38147)
+++ trunk/src/VBox/Additions/x11/vboxvideo/Makefile.kmk	(revision 38152)
@@ -338,8 +338,8 @@
       TESTING += $(vboxvideo_drv_0_OUTDIR)/tstvboxvideo68.run
       OTHERS += $(vboxvideo_drv_0_OUTDIR)/tstvboxvideo68.run
-$$(vboxvideo_drv_0_OUTDIR)/tstvboxvideo68.run: $$(INSTARGET_vboxvideo_drv)
-	$(QUIET)$(call MSG_L1,Checking for unresolved symbols in $<)
-	$(QUIET)/bin/sh $(PATH_ROOT)/src/bldprogs/checkUndefined.sh $(KBUILD_TARGET)  \
-	    $(INSTARGET_vboxvideo_drv) $(VBOXVIDEO_SRC_PATH)/undefined --static
+$$(vboxvideo_drv_0_OUTDIR)/tstvboxvideo68.run: $$(vboxvideo_drv_1_STAGE_TARGET)
+	$(QUIET)$(call MSG_L1,Checking for unresolved symbols in $<)
+	$(QUIET)/bin/sh $(PATH_ROOT)/src/bldprogs/checkUndefined.sh $(KBUILD_TARGET)  \
+	    $(vboxvideo_drv_1_STAGE_TARGET) $(VBOXVIDEO_SRC_PATH)/undefined --static
 	$(QUIET)$(APPEND) -t "$@" "done"
      endif
@@ -347,80 +347,80 @@
      TESTING += $(vboxvideo_drv_70_0_OUTDIR)/tstvboxvideo70.run
      OTHERS += $(vboxvideo_drv_70_0_OUTDIR)/tstvboxvideo70.run
-$$(vboxvideo_drv_70_0_OUTDIR)/tstvboxvideo70.run: $$(INSTARGET_vboxvideo_drv_70)
-	$(QUIET)$(call MSG_L1,Checking for unresolved symbols in $<)
-	$(QUIET)/bin/sh $(PATH_ROOT)/src/bldprogs/checkUndefined.sh $(KBUILD_TARGET)  \
-	    $(INSTARGET_vboxvideo_drv_70) $(VBOXVIDEO_SRC_PATH)/undefined
+$$(vboxvideo_drv_70_0_OUTDIR)/tstvboxvideo70.run: $$(vboxvideo_drv_70_1_STAGE_TARGET)
+	$(QUIET)$(call MSG_L1,Checking for unresolved symbols in $<)
+	$(QUIET)/bin/sh $(PATH_ROOT)/src/bldprogs/checkUndefined.sh $(KBUILD_TARGET)  \
+	    $(vboxvideo_drv_70_1_STAGE_TARGET) $(VBOXVIDEO_SRC_PATH)/undefined
 	$(QUIET)$(APPEND) -t "$@" "done"
 
      TESTING += $(vboxvideo_drv_71_0_OUTDIR)/tstvboxvideo71.run
      OTHERS += $(vboxvideo_drv_71_0_OUTDIR)/tstvboxvideo71.run
-$$(vboxvideo_drv_71_0_OUTDIR)/tstvboxvideo71.run: $$(INSTARGET_vboxvideo_drv_71)
-	$(QUIET)$(call MSG_L1,Checking for unresolved symbols in $<)
-	$(QUIET)/bin/sh $(PATH_ROOT)/src/bldprogs/checkUndefined.sh $(KBUILD_TARGET)  \
-	    $(INSTARGET_vboxvideo_drv_71) $(VBOXVIDEO_SRC_PATH)/undefined
+$$(vboxvideo_drv_71_0_OUTDIR)/tstvboxvideo71.run: $$(vboxvideo_drv_71_1_STAGE_TARGET)
+	$(QUIET)$(call MSG_L1,Checking for unresolved symbols in $<)
+	$(QUIET)/bin/sh $(PATH_ROOT)/src/bldprogs/checkUndefined.sh $(KBUILD_TARGET)  \
+	    $(vboxvideo_drv_71_1_STAGE_TARGET) $(VBOXVIDEO_SRC_PATH)/undefined
 	$(QUIET)$(APPEND) -t "$@" "done"
 
      TESTING += $(vboxvideo_drv_13_0_OUTDIR)/tstvboxvideo13.run
      OTHERS += $(vboxvideo_drv_13_0_OUTDIR)/tstvboxvideo13.run
-$$(vboxvideo_drv_13_0_OUTDIR)/tstvboxvideo13.run: $$(INSTARGET_vboxvideo_drv_13)
-	$(QUIET)$(call MSG_L1,Checking for unresolved symbols in $<)
-	$(QUIET)/bin/sh $(PATH_ROOT)/src/bldprogs/checkUndefined.sh $(KBUILD_TARGET)  \
-	    $(INSTARGET_vboxvideo_drv_13) $(VBOXVIDEO_SRC_PATH)/undefined
+$$(vboxvideo_drv_13_0_OUTDIR)/tstvboxvideo13.run: $$(vboxvideo_drv_13_1_STAGE_TARGET)
+	$(QUIET)$(call MSG_L1,Checking for unresolved symbols in $<)
+	$(QUIET)/bin/sh $(PATH_ROOT)/src/bldprogs/checkUndefined.sh $(KBUILD_TARGET)  \
+	    $(vboxvideo_drv_13_1_STAGE_TARGET) $(VBOXVIDEO_SRC_PATH)/undefined
 	$(QUIET)$(APPEND) -t "$@" "done"
 
      TESTING += $(vboxvideo_drv_14_0_OUTDIR)/tstvboxvideo14.run
      OTHERS += $(vboxvideo_drv_14_0_OUTDIR)/tstvboxvideo14.run
-$$(vboxvideo_drv_14_0_OUTDIR)/tstvboxvideo14.run: $$(INSTARGET_vboxvideo_drv_14)
-	$(QUIET)$(call MSG_L1,Checking for unresolved symbols in $<)
-	$(QUIET)/bin/sh $(PATH_ROOT)/src/bldprogs/checkUndefined.sh $(KBUILD_TARGET)  \
-	    $(INSTARGET_vboxvideo_drv_14) $(VBOXVIDEO_SRC_PATH)/undefined
+$$(vboxvideo_drv_14_0_OUTDIR)/tstvboxvideo14.run: $$(vboxvideo_drv_14_1_STAGE_TARGET)
+	$(QUIET)$(call MSG_L1,Checking for unresolved symbols in $<)
+	$(QUIET)/bin/sh $(PATH_ROOT)/src/bldprogs/checkUndefined.sh $(KBUILD_TARGET)  \
+	    $(vboxvideo_drv_14_1_STAGE_TARGET) $(VBOXVIDEO_SRC_PATH)/undefined
 	$(QUIET)$(APPEND) -t "$@" "done"
 
      TESTING += $(vboxvideo_drv_15_0_OUTDIR)/tstvboxvideo15.run
      OTHERS += $(vboxvideo_drv_15_0_OUTDIR)/tstvboxvideo15.run
-$$(vboxvideo_drv_15_0_OUTDIR)/tstvboxvideo15.run: $$(INSTARGET_vboxvideo_drv_15)
-	$(QUIET)$(call MSG_L1,Checking for unresolved symbols in $<)
-	$(QUIET)/bin/sh $(PATH_ROOT)/src/bldprogs/checkUndefined.sh $(KBUILD_TARGET)  \
-	    $(INSTARGET_vboxvideo_drv_15) $(VBOXVIDEO_SRC_PATH)/undefined
+$$(vboxvideo_drv_15_0_OUTDIR)/tstvboxvideo15.run: $$(vboxvideo_drv_15_1_STAGE_TARGET)
+	$(QUIET)$(call MSG_L1,Checking for unresolved symbols in $<)
+	$(QUIET)/bin/sh $(PATH_ROOT)/src/bldprogs/checkUndefined.sh $(KBUILD_TARGET)  \
+	    $(vboxvideo_drv_15_1_STAGE_TARGET) $(VBOXVIDEO_SRC_PATH)/undefined
 	$(QUIET)$(APPEND) -t "$@" "done"
 
      TESTING += $(vboxvideo_drv_16_0_OUTDIR)/tstvboxvideo16.run
      OTHERS += $(vboxvideo_drv_16_0_OUTDIR)/tstvboxvideo16.run
-$$(vboxvideo_drv_16_0_OUTDIR)/tstvboxvideo16.run: $$(INSTARGET_vboxvideo_drv_16)
-	$(QUIET)$(call MSG_L1,Checking for unresolved symbols in $<)
-	$(QUIET)/bin/sh $(PATH_ROOT)/src/bldprogs/checkUndefined.sh $(KBUILD_TARGET)  \
-	    $(INSTARGET_vboxvideo_drv_16) $(VBOXVIDEO_SRC_PATH)/undefined
+$$(vboxvideo_drv_16_0_OUTDIR)/tstvboxvideo16.run: $$(vboxvideo_drv_16_1_STAGE_TARGET)
+	$(QUIET)$(call MSG_L1,Checking for unresolved symbols in $<)
+	$(QUIET)/bin/sh $(PATH_ROOT)/src/bldprogs/checkUndefined.sh $(KBUILD_TARGET)  \
+	    $(vboxvideo_drv_16_1_STAGE_TARGET) $(VBOXVIDEO_SRC_PATH)/undefined
 	$(QUIET)$(APPEND) -t "$@" "done"
 
      TESTING += $(vboxvideo_drv_17_0_OUTDIR)/tstvboxvideo17.run
      OTHERS += $(vboxvideo_drv_17_0_OUTDIR)/tstvboxvideo17.run
-$$(vboxvideo_drv_17_0_OUTDIR)/tstvboxvideo17.run: $$(INSTARGET_vboxvideo_drv_17)
-	$(QUIET)$(call MSG_L1,Checking for unresolved symbols in $<)
-	$(QUIET)/bin/sh $(PATH_ROOT)/src/bldprogs/checkUndefined.sh $(KBUILD_TARGET)  \
-	    $(INSTARGET_vboxvideo_drv_17) $(VBOXVIDEO_SRC_PATH)/undefined
+$$(vboxvideo_drv_17_0_OUTDIR)/tstvboxvideo17.run: $$(vboxvideo_drv_17_1_STAGE_TARGET)
+	$(QUIET)$(call MSG_L1,Checking for unresolved symbols in $<)
+	$(QUIET)/bin/sh $(PATH_ROOT)/src/bldprogs/checkUndefined.sh $(KBUILD_TARGET)  \
+	    $(vboxvideo_drv_17_1_STAGE_TARGET) $(VBOXVIDEO_SRC_PATH)/undefined
 	$(QUIET)$(APPEND) -t "$@" "done"
 
      TESTING += $(vboxvideo_drv_18_0_OUTDIR)/tstvboxvideo18.run
      OTHERS += $(vboxvideo_drv_18_0_OUTDIR)/tstvboxvideo18.run
-$$(vboxvideo_drv_18_0_OUTDIR)/tstvboxvideo18.run: $$(INSTARGET_vboxvideo_drv_18)
-	$(QUIET)$(call MSG_L1,Checking for unresolved symbols in $<)
-	$(QUIET)/bin/sh $(PATH_ROOT)/src/bldprogs/checkUndefined.sh $(KBUILD_TARGET)  \
-	    $(INSTARGET_vboxvideo_drv_18) $(VBOXVIDEO_SRC_PATH)/undefined
+$$(vboxvideo_drv_18_0_OUTDIR)/tstvboxvideo18.run: $$(vboxvideo_drv_18_1_STAGE_TARGET)
+	$(QUIET)$(call MSG_L1,Checking for unresolved symbols in $<)
+	$(QUIET)/bin/sh $(PATH_ROOT)/src/bldprogs/checkUndefined.sh $(KBUILD_TARGET)  \
+	    $(vboxvideo_drv_18_1_STAGE_TARGET) $(VBOXVIDEO_SRC_PATH)/undefined
 	$(QUIET)$(APPEND) -t "$@" "done"
 
      TESTING += $(vboxvideo_drv_19_0_OUTDIR)/tstvboxvideo19.run
      OTHERS += $(vboxvideo_drv_19_0_OUTDIR)/tstvboxvideo19.run
-$$(vboxvideo_drv_19_0_OUTDIR)/tstvboxvideo19.run: $$(INSTARGET_vboxvideo_drv_19)
-	$(QUIET)$(call MSG_L1,Checking for unresolved symbols in $<)
-	$(QUIET)/bin/sh $(PATH_ROOT)/src/bldprogs/checkUndefined.sh $(KBUILD_TARGET)  \
-	    $(INSTARGET_vboxvideo_drv_19) $(VBOXVIDEO_SRC_PATH)/undefined
+$$(vboxvideo_drv_19_0_OUTDIR)/tstvboxvideo19.run: $$(vboxvideo_drv_19_1_STAGE_TARGET)
+	$(QUIET)$(call MSG_L1,Checking for unresolved symbols in $<)
+	$(QUIET)/bin/sh $(PATH_ROOT)/src/bldprogs/checkUndefined.sh $(KBUILD_TARGET)  \
+	    $(vboxvideo_drv_19_1_STAGE_TARGET) $(VBOXVIDEO_SRC_PATH)/undefined
 	$(QUIET)$(APPEND) -t "$@" "done"
 
      TESTING += $(vboxvideo_drv_110_0_OUTDIR)/tstvboxvideo110.run
      OTHERS += $(vboxvideo_drv_110_0_OUTDIR)/tstvboxvideo110.run
-$$(vboxvideo_drv_110_0_OUTDIR)/tstvboxvideo110.run: $$(INSTARGET_vboxvideo_drv_110)
-	$(QUIET)$(call MSG_L1,Checking for unresolved symbols in $<)
-	$(QUIET)/bin/sh $(PATH_ROOT)/src/bldprogs/checkUndefined.sh $(KBUILD_TARGET)  \
-	    $(INSTARGET_vboxvideo_drv_110) $(VBOXVIDEO_SRC_PATH)/undefined
+$$(vboxvideo_drv_110_0_OUTDIR)/tstvboxvideo110.run: $$(vboxvideo_drv_110_1_STAGE_TARGET)
+	$(QUIET)$(call MSG_L1,Checking for unresolved symbols in $<)
+	$(QUIET)/bin/sh $(PATH_ROOT)/src/bldprogs/checkUndefined.sh $(KBUILD_TARGET)  \
+	    $(vboxvideo_drv_110_1_STAGE_TARGET) $(VBOXVIDEO_SRC_PATH)/undefined
 	$(QUIET)$(APPEND) -t "$@" "done"
 