Index: trunk/src/VBox/HostDrivers/VBoxUSB/win/mon/VBoxUsbFlt.cpp
===================================================================
--- trunk/src/VBox/HostDrivers/VBoxUSB/win/mon/VBoxUsbFlt.cpp	(revision 38200)
+++ trunk/src/VBox/HostDrivers/VBoxUSB/win/mon/VBoxUsbFlt.cpp	(revision 38262)
@@ -405,5 +405,5 @@
         if (!NT_SUCCESS(Status))
         {
-            LogRel((__FUNCTION__": getting device descriptor failed\n"));
+            LOGREL((__FUNCTION__": getting device descriptor failed\n"));
             break;
         }
@@ -411,5 +411,5 @@
         if (vboxUsbFltBlDevMatchLocked(pDevDr->idVendor, pDevDr->idProduct, pDevDr->bcdDevice))
         {
-            LogRel((__FUNCTION__": found a known black list device, vid(0x%x), pid(0x%x), rev(0x%x)\n", pDevDr->idVendor, pDevDr->idProduct, pDevDr->bcdDevice));
+            LOGREL((__FUNCTION__": found a known black list device, vid(0x%x), pid(0x%x), rev(0x%x)\n", pDevDr->idVendor, pDevDr->idProduct, pDevDr->bcdDevice));
 #ifdef DEBUG_misha
             AssertFailed();
@@ -419,5 +419,5 @@
         }
 
-        Log(("Device pid=%x vid=%x rev=%x\n", pDevDr->idVendor, pDevDr->idProduct, pDevDr->bcdDevice));
+        LOG(("Device pid=%x vid=%x rev=%x\n", pDevDr->idVendor, pDevDr->idProduct, pDevDr->bcdDevice));
         pDevice->idVendor     = pDevDr->idVendor;
         pDevice->idProduct    = pDevDr->idProduct;
@@ -535,5 +535,5 @@
             }
 #endif
-            Log((__FUNCTION__": strings: '%s':'%s':'%s' (lang ID %x)\n",
+            LOG((__FUNCTION__": strings: '%s':'%s':'%s' (lang ID %x)\n",
                         pDevice->szMfgName, pDevice->szProduct, pDevice->szSerial, langId));
         }
@@ -713,5 +713,5 @@
     Assert(Irql == PASSIVE_LEVEL);
 
-    Log(("==" __FUNCTION__"\n"));
+    LOG(("==" __FUNCTION__"\n"));
 
     for (int i=0;i<RT_ELEMENTS(lpszStandardControllerName);i++)
@@ -745,5 +745,5 @@
         if (Status == STATUS_SUCCESS)
         {
-            Log(("IoGetDeviceObjectPointer for %s returned %p %p\n", szHubName, pHubDevObj, pHubFileObj));
+            LOG(("IoGetDeviceObjectPointer for %s returned %p %p\n", szHubName, pHubDevObj, pHubFileObj));
 
             if (pHubDevObj->DriverObject
@@ -759,7 +759,7 @@
 
 #ifdef DEBUG
-                        Log(("Associated driver "));
+                        LOG(("Associated driver "));
                         vboxUsbDbgPrintUnicodeString(&pHubDevObj->DriverObject->DriverName);
-                        Log((" -> related dev obj=0x%p\n", IoGetRelatedDeviceObject(pHubFileObj)));
+                        LOG((" -> related dev obj=0x%p\n", IoGetRelatedDeviceObject(pHubFileObj)));
 #endif
 
@@ -774,5 +774,5 @@
                                 PDEVICE_OBJECT pDevObj = pDevRelations->Objects[k];
 
-                                Log(("Found existing USB PDO 0x%p\n", pDevObj));
+                                LOG(("Found existing USB PDO 0x%p\n", pDevObj));
                                 VBOXUSBFLT_LOCK_ACQUIRE();
                                 PVBOXUSBFLT_DEVICE pDevice = vboxUsbFltDevGetLocked(pDevObj);
@@ -931,11 +931,11 @@
 {
     *pId = 0;
-    /* Log the filter details. */
-    Log((__FUNCTION__": %s %s %s\n",
+    /* LOG the filter details. */
+    LOG((__FUNCTION__": %s %s %s\n",
         USBFilterGetString(pFilter, USBFILTERIDX_MANUFACTURER_STR)  ? USBFilterGetString(pFilter, USBFILTERIDX_MANUFACTURER_STR)  : "<null>",
         USBFilterGetString(pFilter, USBFILTERIDX_PRODUCT_STR)       ? USBFilterGetString(pFilter, USBFILTERIDX_PRODUCT_STR)       : "<null>",
         USBFilterGetString(pFilter, USBFILTERIDX_SERIAL_NUMBER_STR) ? USBFilterGetString(pFilter, USBFILTERIDX_SERIAL_NUMBER_STR) : "<null>"));
 #ifdef DEBUG
-    Log(("VBoxUSBClient::addFilter: idVendor=%#x idProduct=%#x bcdDevice=%#x bDeviceClass=%#x bDeviceSubClass=%#x bDeviceProtocol=%#x bBus=%#x bPort=%#x\n",
+    LOG(("VBoxUSBClient::addFilter: idVendor=%#x idProduct=%#x bcdDevice=%#x bDeviceClass=%#x bDeviceSubClass=%#x bDeviceProtocol=%#x bBus=%#x bPort=%#x\n",
               USBFilterGetNum(pFilter, USBFILTERIDX_VENDOR_ID),
               USBFilterGetNum(pFilter, USBFILTERIDX_PRODUCT_ID),
@@ -1300,5 +1300,5 @@
     {
         /* this is due to devie was physically removed */
-        Log(("The proxy notified progy stop for the captured device 0x%x\n", pDevice));
+        LOG(("The proxy notified progy stop for the captured device 0x%x\n", pDevice));
         pDevice->enmState = VBOXUSBFLT_DEVSTATE_CAPTURING;
         vboxUsbFltSignalChangeLocked();
@@ -1316,7 +1316,9 @@
 {
     int rc = VBoxUSBFilterInit();
-    AssertRC(rc);
     if (RT_FAILURE(rc))
+    {
+        WARN(("VBoxUSBFilterInit failed, rc (%d)", rc));
         return STATUS_UNSUCCESSFUL;
+    }
 
     memset(&g_VBoxUsbFltGlobals, 0, sizeof (g_VBoxUsbFltGlobals));
Index: trunk/src/VBox/HostDrivers/VBoxUSB/win/mon/VBoxUsbHook.cpp
===================================================================
--- trunk/src/VBox/HostDrivers/VBoxUSB/win/mon/VBoxUsbHook.cpp	(revision 38200)
+++ trunk/src/VBox/HostDrivers/VBoxUSB/win/mon/VBoxUsbHook.cpp	(revision 38262)
@@ -24,5 +24,5 @@
     if (pHook->fIsInstalled)
     {
-        AssertFailed();
+        WARN(("hook is marked installed, returning failure"));
         KeReleaseSpinLock(&pHook->Lock, Irql);
         return STATUS_UNSUCCESSFUL;
Index: trunk/src/VBox/HostDrivers/VBoxUSB/win/mon/VBoxUsbMon.cpp
===================================================================
--- trunk/src/VBox/HostDrivers/VBoxUSB/win/mon/VBoxUsbMon.cpp	(revision 38200)
+++ trunk/src/VBox/HostDrivers/VBoxUSB/win/mon/VBoxUsbMon.cpp	(revision 38262)
@@ -102,5 +102,5 @@
         case _t: return #_t
 #define VBOXUSBDBG_STRCASE_UNKNOWN(_v) \
-        default: Log((__FUNCTION__": Unknown Value (0n%d), (0x%x)\n", _v, _v)); return "Unknown"
+        default: LOG((__FUNCTION__": Unknown Value (0n%d), (0x%x)\n", _v, _v)); return "Unknown"
 
 static const char* vboxUsbDbgStrPnPMn(UCHAR uMn)
@@ -140,5 +140,5 @@
     for (int i = 0; i < pUnicodeString->Length/2; ++i)
     {
-        Log(("%c", *pStr++));
+        LOG(("%c", *pStr++));
     }
 }
@@ -182,5 +182,5 @@
     if (Status == STATUS_PENDING)
     {
-        Log(("IoCallDriver returned STATUS_PENDING!!\n"));
+        LOG(("IoCallDriver returned STATUS_PENDING!!\n"));
         KeWaitForSingleObject(&Event, Executive, KernelMode, FALSE, NULL);
         Status = IoStatus.Status;
@@ -190,5 +190,5 @@
     {
         PDEVICE_RELATIONS pRel = (PDEVICE_RELATIONS)IoStatus.Information;
-        Log(("pRel = %p\n", pRel));
+        LOG(("pRel = %p\n", pRel));
         if (VALID_PTR(pRel))
         {
@@ -196,8 +196,8 @@
         }
         else
-            Log(("Invalid pointer %p\n", pRel));
-    }
-
-    Log(("IoCallDriver returned %x\n", Status));
+            LOG(("Invalid pointer %p\n", pRel));
+    }
+
+    LOG(("IoCallDriver returned %x\n", Status));
     return Status;
 }
@@ -213,5 +213,5 @@
     RtlInitUnicodeString(&szStandardHubName, L"\\Driver\\usbhub");
 
-    Log(("Search USB hub\n"));
+    LOG(("Search USB hub\n"));
     for (int i = 0; i < 16; i++)
     {
@@ -238,5 +238,5 @@
             if (Status == STATUS_SUCCESS)
             {
-                Log(("IoGetDeviceObjectPointer for %S returned %p %p\n", szwHubName, pHubDevObj, pHubFileObj));
+                LOG(("IoGetDeviceObjectPointer for %S returned %p %p\n", szwHubName, pHubDevObj, pHubFileObj));
 
                 if (pHubDevObj->DriverObject
@@ -245,9 +245,7 @@
                     && !RtlCompareUnicodeString(&szStandardHubName, &pHubDevObj->DriverObject->DriverName, TRUE /* case insensitive */))
                 {
-#if 0
-                    Log(("Associated driver"));
-                    Log(("%S\n", &pHubDevObj->DriverObject->DriverName.Buffer));
-#endif
-                    Log(("pnp handler %p\n", pHubDevObj->DriverObject->MajorFunction[IRP_MJ_PNP]));
+                    LOG(("Associated driver"));
+                    LOG_STRW(pHubDevObj->DriverObject->DriverName.Buffer);
+                    LOG(("pnp handler %p\n", pHubDevObj->DriverObject->MajorFunction[IRP_MJ_PNP]));
 
                     pDrvObj = pHubDevObj->DriverObject;
@@ -258,10 +256,10 @@
             else
             {
-                Log(("IoGetDeviceObjectPointer returned Status (0x%x) for %S returned\n", Status, szwHubName));
+                WARN(("IoGetDeviceObjectPointer returned Status (0x%x) for %S", Status, szwHubName));
             }
         }
         else
         {
-            AssertFailed();
+            WARN(("RtlAnsiStringToUnicodeString failed, Status (0x%x)", Status));
         }
     }
@@ -275,10 +273,10 @@
 static NTSTATUS vboxUsbMonHandlePnPIoctl(PDEVICE_OBJECT pDevObj, PIO_STACK_LOCATION pSl, PIO_STATUS_BLOCK pIoStatus)
 {
-    Log(("VBoxUSBMonHandlePnPIoctl IRQL = %d\n", KeGetCurrentIrql()));
+    LOG(("VBoxUSBMonHandlePnPIoctl IRQL = %d\n", KeGetCurrentIrql()));
     switch(pSl->MinorFunction)
     {
         case IRP_MN_QUERY_DEVICE_TEXT:
         {
-            Log(("IRP_MN_QUERY_DEVICE_TEXT: pIoStatus->Status = %x\n", pIoStatus->Status));
+            LOG(("IRP_MN_QUERY_DEVICE_TEXT: pIoStatus->Status = %x\n", pIoStatus->Status));
             if (pIoStatus->Status == STATUS_SUCCESS)
             {
@@ -292,9 +290,11 @@
                     {
                         case DeviceTextLocationInformation:
-                            Log(("DeviceTextLocationInformation %ws\n", pId));
+                            LOG(("DeviceTextLocationInformation"));
+                            LOG_STRW(pId);
                             break;
 
                         case DeviceTextDescription:
-                            Log(("DeviceTextDescription %ws\n", pId));
+                            LOG(("DeviceTextDescription"));
+                            LOG_STRW(pId);
                             if (VBoxUsbFltPdoIsFiltered(pDevObj))
                             {
@@ -306,5 +306,6 @@
                                 }
                                 memcpy(pId, szDeviceTextDescription, sizeof(szDeviceTextDescription));
-                                Log(("NEW szDeviceTextDescription %ws\n", pId));
+                                LOG(("NEW szDeviceTextDescription"));
+                                LOG_STRW(pId);
                                 ExFreePool((PVOID)pIoStatus->Information);
                                 pIoStatus->Information = (ULONG_PTR)pId;
@@ -316,5 +317,5 @@
                 }
                 else
-                    Log(("Invalid pointer %p\n", pId));
+                    LOG(("Invalid pointer %p\n", pId));
             }
             break;
@@ -323,5 +324,5 @@
         case IRP_MN_QUERY_ID:
         {
-            Log(("IRP_MN_QUERY_ID: Irp->pIoStatus->Status = %x\n", pIoStatus->Status));
+            LOG(("IRP_MN_QUERY_ID: Irp->pIoStatus->Status = %x\n", pIoStatus->Status));
             if (pIoStatus->Status == STATUS_SUCCESS &&  pDevObj)
             {
@@ -339,5 +340,6 @@
                     {
                         case BusQueryInstanceID:
-                            Log(("BusQueryInstanceID %ws\n", pId));
+                            LOG(("BusQueryInstanceID"));
+                            LOG_STRW(pId);
                             break;
 
@@ -370,5 +372,6 @@
                         while(*pId) //MULTI_SZ
                         {
-                            Log(("BusQueryHardwareIDs %ws\n", pId));
+                            LOG(("BusQueryHardwareIDs"));
+                            LOG_STRW(pId);
                             while(*pId) pId++;
                             pId++;
@@ -396,5 +399,6 @@
                         while(*pTmp) //MULTI_SZ
                         {
-                            Log(("NEW BusQueryHardwareIDs %ws\n", pTmp));
+                            LOG(("NEW BusQueryHardwareIDs"));
+                            LOG_STRW(pTmp);
                             while(*pTmp) pTmp++;
                             pTmp++;
@@ -409,5 +413,6 @@
                         while(*pId) //MULTI_SZ
                         {
-                            Log(("BusQueryCompatibleIDs %ws\n", pId));
+                            LOG(("BusQueryCompatibleIDs"));
+                            LOG_STRW(pId);
                             while(*pId) pId++;
                             pId++;
@@ -427,5 +432,6 @@
                             while(*pTmp) //MULTI_SZ
                             {
-                                Log(("NEW BusQueryCompatibleIDs %ws\n", pTmp));
+                                LOG(("NEW BusQueryCompatibleIDs"));
+                                LOG_STRW(pTmp);
                                 while(*pTmp) pTmp++;
                                 pTmp++;
@@ -439,5 +445,5 @@
                 }
                 else
-                    Log(("Invalid pointer %p\n", pId));
+                    LOG(("Invalid pointer %p\n", pId));
             }
             break;
@@ -451,10 +457,10 @@
             case BusRelations:
             {
-                Log(("BusRelations\n"));
+                LOG(("BusRelations\n"));
 
                 if (pIoStatus->Status == STATUS_SUCCESS)
                 {
                     PDEVICE_RELATIONS pRel = (PDEVICE_RELATIONS)pIoStatus->Information;
-                    Log(("pRel = %p\n", pRel));
+                    LOG(("pRel = %p\n", pRel));
                     if (VALID_PTR(pRel))
                     {
@@ -462,20 +468,20 @@
                         {
                             if (VBoxUsbFltPdoIsFiltered(pDevObj))
-                                Log(("New PDO %p\n", pRel->Objects[i]));
+                                LOG(("New PDO %p\n", pRel->Objects[i]));
                         }
                     }
                     else
-                        Log(("Invalid pointer %p\n", pRel));
+                        LOG(("Invalid pointer %p\n", pRel));
                 }
                 break;
             }
             case TargetDeviceRelation:
-                Log(("TargetDeviceRelation\n"));
+                LOG(("TargetDeviceRelation\n"));
                 break;
             case RemovalRelations:
-                Log(("RemovalRelations\n"));
+                LOG(("RemovalRelations\n"));
                 break;
             case EjectionRelations:
-                Log(("EjectionRelations\n"));
+                LOG(("EjectionRelations\n"));
                 break;
             }
@@ -485,5 +491,5 @@
         case IRP_MN_QUERY_CAPABILITIES:
         {
-            Log(("IRP_MN_QUERY_CAPABILITIES: pIoStatus->Status = %x\n", pIoStatus->Status));
+            LOG(("IRP_MN_QUERY_CAPABILITIES: pIoStatus->Status = %x\n", pIoStatus->Status));
             if (pIoStatus->Status == STATUS_SUCCESS)
             {
@@ -491,11 +497,11 @@
                 if (VALID_PTR(pCaps))
                 {
-                    Log(("Caps.SilentInstall  = %d\n", pCaps->SilentInstall));
-                    Log(("Caps.UniqueID       = %d\n", pCaps->UniqueID ));
-                    Log(("Caps.Address        = %d\n", pCaps->Address ));
-                    Log(("Caps.UINumber       = %d\n", pCaps->UINumber ));
+                    LOG(("Caps.SilentInstall  = %d\n", pCaps->SilentInstall));
+                    LOG(("Caps.UniqueID       = %d\n", pCaps->UniqueID ));
+                    LOG(("Caps.Address        = %d\n", pCaps->Address ));
+                    LOG(("Caps.UINumber       = %d\n", pCaps->UINumber ));
                 }
                 else
-                    Log(("Invalid pointer %p\n", pCaps));
+                    LOG(("Invalid pointer %p\n", pCaps));
             }
             break;
@@ -507,5 +513,5 @@
     } /*switch */
 
-    Log(("VBoxUSBMonHandlePnPIoctl returns %x (IRQL = %d)\n", pIoStatus->Status, KeGetCurrentIrql()));
+    LOG(("VBoxUSBMonHandlePnPIoctl returns %x (IRQL = %d)\n", pIoStatus->Status, KeGetCurrentIrql()));
     return pIoStatus->Status;
 }
@@ -583,5 +589,5 @@
     }
 
-    Log(("<==PnP: Mn(%s), PDO(0x%p), IRP(0x%p), Status(0x%x), Sl PDO(0x%p), Compl PDO(0x%p)\n",
+    LOG(("<==PnP: Mn(%s), PDO(0x%p), IRP(0x%p), Status(0x%x), Sl PDO(0x%p), Compl PDO(0x%p)\n",
                             vboxUsbDbgStrPnPMn(pSl->MinorFunction),
                             pRealDevObj, pIrp, pIrp->IoStatus.Status,
@@ -626,5 +632,5 @@
     }
 
-    Log(("==>PnP: Mn(%s), PDO(0x%p), IRP(0x%p), Status(0x%x)\n", vboxUsbDbgStrPnPMn(IoGetCurrentIrpStackLocation(pIrp)->MinorFunction), pDevObj, pIrp, pIrp->IoStatus.Status));
+    LOG(("==>PnP: Mn(%s), PDO(0x%p), IRP(0x%p), Status(0x%x)\n", vboxUsbDbgStrPnPMn(IoGetCurrentIrpStackLocation(pIrp)->MinorFunction), pDevObj, pIrp, pIrp->IoStatus.Status));
 
     NTSTATUS Status = VBoxUsbHookRequestPassDownHookCompletion(&g_VBoxUsbMonGlobals.UsbHubPnPHook.Hook, pDevObj, pIrp, VBoxUsbPnPCompletion, &pCompletion->Rq);
@@ -643,13 +649,17 @@
     static bool fIsHookInited = false;
     if (fIsHookInited)
+    {
+        LOG(("hook inited already, success"));
         return STATUS_SUCCESS;
+    }
     PDRIVER_OBJECT pDrvObj = vboxUsbMonHookFindHubDrvObj();
-    Assert(pDrvObj);
     if (pDrvObj)
     {
         VBoxUsbHookInit(&g_VBoxUsbMonGlobals.UsbHubPnPHook.Hook, pDrvObj, IRP_MJ_PNP, VBoxUsbMonPnPHook);
         fIsHookInited = true;
+        LOG(("SUCCESS"));
         return STATUS_SUCCESS;
     }
+    WARN(("hub drv obj not found, fail"));
     return STATUS_UNSUCCESSFUL;
 }
@@ -662,5 +672,5 @@
     if (g_VBoxUsbMonGlobals.UsbHubPnPHook.fUninitFailed)
     {
-        AssertMsgFailed(("trying to hook usbhub pnp after the unhook failed, do nothing & pretend success..\n"));
+        WARN(("trying to hook usbhub pnp after the unhook failed, do nothing & pretend success"));
         return STATUS_SUCCESS;
     }
@@ -721,5 +731,4 @@
             NULL /* IN PLARGE_INTEGER Timeout */
         );
-    Assert(Status == STATUS_SUCCESS);
     if (Status == STATUS_SUCCESS)
     {
@@ -727,5 +736,8 @@
         {
             if (g_VBoxUsbMonGlobals.cOpens++)
-                break;
+            {
+                LOG(("opens: %d, success", g_VBoxUsbMonGlobals.cOpens));
+                break;
+            }
 
             Status = VBoxUsbFltInit();
@@ -739,16 +751,21 @@
                     {
                         Status = STATUS_SUCCESS;
+                        LOG(("succeded!!"));
                         break;
                     }
                     else
                     {
-                        AssertFailed();
+                        WARN(("vboxUsbMonHookInstall failed, Status (0x%x)", Status));
                     }
                 }
+                else
+                {
+                    WARN(("vboxUsbMonHookCheckInit failed, Status (0x%x)", Status));
+                }
                 VBoxUsbFltTerm();
             }
             else
             {
-                AssertFailed();
+                WARN(("VBoxUsbFltInit failed, Status (0x%x)", Status));
             }
 
@@ -758,4 +775,8 @@
 
         KeSetEvent(&g_VBoxUsbMonGlobals.OpenSynchEvent, 0, FALSE);
+    }
+    else
+    {
+        WARN(("KeWaitForSingleObject failed, Status (0x%x)", Status));
     }
     return Status;
@@ -776,9 +797,10 @@
             {
                 *ppCtx = pFileCtx;
+                LOG(("succeeded!!"));
                 return STATUS_SUCCESS;
             }
             else
             {
-                AssertFailed();
+                WARN(("VBoxUsbFltCreate failed"));
             }
             vboxUsbMonCheckTermStuff();
@@ -786,5 +808,5 @@
         else
         {
-            AssertFailed();
+            WARN(("vboxUsbMonCheckInitStuff failed"));
         }
         VBoxUsbMonMemFree(pFileCtx);
@@ -792,5 +814,5 @@
     else
     {
-        AssertFailed();
+        WARN(("VBoxUsbMonMemAllocZ failed"));
         Status = STATUS_NO_MEMORY;
     }
@@ -820,11 +842,10 @@
     PVBOXUSBMONCTX pCtx = (PVBOXUSBMONCTX)pFileObj->FsContext;
     NTSTATUS Status = vboxUsbMonContextClose(pCtx);
-    Assert(Status == STATUS_SUCCESS);
     if (Status != STATUS_SUCCESS)
     {
-        AssertMsgFailed(("close failed with Status 0x%x, prefent unload\n", Status));
+        WARN(("vboxUsbMonContextClose failed, Status (0x%x), prefent unload", Status));
         if (!InterlockedExchange(&g_VBoxUsbMonGlobals.ulPreventUnloadOn, 1))
         {
-            LogRel(("ulPreventUnloadOn not set, preventing unload\n"));
+            LOGREL(("ulPreventUnloadOn not set, preventing unload\n"));
             UNICODE_STRING UniName;
             PDEVICE_OBJECT pTmpDevObj;
@@ -836,5 +857,5 @@
         else
         {
-            AssertMsgFailed(("ulPreventUnloadOn already set\n"));
+            WARN(("ulPreventUnloadOn already set"));
         }
         Status = STATUS_SUCCESS;
@@ -854,8 +875,9 @@
     NTSTATUS Status;
 
-    Log(("VBoxUSBMonCreate\n"));
+    LOG(("VBoxUSBMonCreate\n"));
 
     if (pStack->Parameters.Create.Options & FILE_DIRECTORY_FILE)
     {
+        WARN(("trying to open as a directory\n"));
         pIrp->IoStatus.Status = STATUS_NOT_A_DIRECTORY;
         pIrp->IoStatus.Information = 0;
@@ -871,4 +893,8 @@
         Assert(pCtx);
         pFileObj->FsContext = pCtx;
+    }
+    else
+    {
+        WARN(("vboxUsbMonContextCreate failed Status (0x%x)\n", Status));
     }
 
@@ -930,5 +956,5 @@
             PUSBSUP_VERSION pOut = (PUSBSUP_VERSION)pvBuffer;
 
-            Log(("SUPUSBFLT_IOCTL_GET_VERSION\n"));
+            LOG(("SUPUSBFLT_IOCTL_GET_VERSION\n"));
             if (!pvBuffer || cbOutBuffer != sizeof(*pOut) || cbInBuffer != 0)
             {
@@ -977,5 +1003,5 @@
                 break;
             }
-            Log(("SUPUSBFLT_IOCTL_REMOVE_FILTER %x\n", *pIn));
+            LOG(("SUPUSBFLT_IOCTL_REMOVE_FILTER %x\n", *pIn));
             int rc = VBoxUsbMonFltRemove(pContext, *pIn);
             if (cbOutBuffer)
@@ -998,5 +1024,5 @@
                 break;
             }
-            Log(("SUPUSBFLT_IOCTL_RUN_FILTERS \n"));
+            LOG(("SUPUSBFLT_IOCTL_RUN_FILTERS \n"));
             Status = VBoxUsbMonRunFilters(pContext);
             Assert(Status == STATUS_SUCCESS);
@@ -1096,5 +1122,5 @@
             PVBOXUSBIDC_VERSION pOut = (PVBOXUSBIDC_VERSION)pvBuffer;
 
-            Log(("VBOXUSBIDC_INTERNAL_IOCTL_GET_VERSION\n"));
+            LOG(("VBOXUSBIDC_INTERNAL_IOCTL_GET_VERSION\n"));
             if (!pvBuffer)
             {
@@ -1112,5 +1138,5 @@
             PVBOXUSBIDC_PROXY_STARTUP pOut = (PVBOXUSBIDC_PROXY_STARTUP)pvBuffer;
 
-            Log(("VBOXUSBIDC_INTERNAL_IOCTL_PROXY_STARTUP\n"));
+            LOG(("VBOXUSBIDC_INTERNAL_IOCTL_PROXY_STARTUP\n"));
             if (!pvBuffer)
             {
@@ -1128,5 +1154,5 @@
             PVBOXUSBIDC_PROXY_TEARDOWN pOut = (PVBOXUSBIDC_PROXY_TEARDOWN)pvBuffer;
 
-            Log(("VBOXUSBIDC_INTERNAL_IOCTL_PROXY_TEARDOWN\n"));
+            LOG(("VBOXUSBIDC_INTERNAL_IOCTL_PROXY_TEARDOWN\n"));
             if (!pvBuffer)
             {
@@ -1179,5 +1205,5 @@
 static void _stdcall VBoxUsbMonUnload(PDRIVER_OBJECT pDrvObj)
 {
-    Log(("VBoxUSBMonUnload pDrvObj (0x%p)\n", pDrvObj));
+    LOG(("VBoxUSBMonUnload pDrvObj (0x%p)\n", pDrvObj));
 
     IoReleaseRemoveLockAndWait(&g_VBoxUsbMonGlobals.RmLock, &g_VBoxUsbMonGlobals);
@@ -1221,5 +1247,5 @@
 #endif
 
-    Log(("VBoxUSBMon::DriverEntry\n"));
+    LOG(("VBoxUSBMon::DriverEntry\n"));
 
     memset (&g_VBoxUsbMonGlobals, 0, sizeof (g_VBoxUsbMonGlobals));
@@ -1251,5 +1277,5 @@
 
                 g_VBoxUsbMonGlobals.pDevObj = pDevObj;
-                Log(("VBoxUSBMon::DriverEntry returning STATUS_SUCCESS\n"));
+                LOG(("VBoxUSBMon::DriverEntry returning STATUS_SUCCESS\n"));
                 return STATUS_SUCCESS;
             }
Index: trunk/src/VBox/HostDrivers/VBoxUSB/win/mon/VBoxUsbMon.h
===================================================================
--- trunk/src/VBox/HostDrivers/VBoxUSB/win/mon/VBoxUsbMon.h	(revision 38200)
+++ trunk/src/VBox/HostDrivers/VBoxUSB/win/mon/VBoxUsbMon.h	(revision 38262)
@@ -31,4 +31,6 @@
 #endif
 
+#define VBOX_DBG_LOG_NAME "USBMon"
+#include "../../../win/VBoxDbgLog.h"
 #include "../cmn/VBoxDrvTool.h"
 #include "../cmn/VBoxUsbTool.h"