Index: trunk/src/VBox/Main/src-client/GuestCtrlImpl.cpp
===================================================================
--- trunk/src/VBox/Main/src-client/GuestCtrlImpl.cpp	(revision 38269)
+++ trunk/src/VBox/Main/src-client/GuestCtrlImpl.cpp	(revision 38270)
@@ -1094,5 +1094,5 @@
 STDMETHODIMP Guest::ExecuteProcess(IN_BSTR aCommand, ULONG aFlags,
                                    ComSafeArrayIn(IN_BSTR, aArguments), ComSafeArrayIn(IN_BSTR, aEnvironment),
-                                   IN_BSTR Username, IN_BSTR aPassword,
+                                   IN_BSTR aUsername, IN_BSTR aPassword,
                                    ULONG aTimeoutMS, ULONG *aPID, IProgress **aProgress)
 {
@@ -1109,13 +1109,13 @@
 
     /* Do not allow anonymous executions (with system rights). */
-    if (RT_UNLIKELY((Username) == NULL || *(Username) == '\0'))
+    if (RT_UNLIKELY((aUsername) == NULL || *(aUsername) == '\0'))
         return setError(E_INVALIDARG, tr("No user name specified"));
 
     LogRel(("Executing guest process \"%s\" as user \"%s\" ...\n",
-            Utf8Str(aCommand).c_str(), Utf8Str(Username).c_str()));
+            Utf8Str(aCommand).c_str(), Utf8Str(aUsername).c_str()));
 
     return executeProcessInternal(aCommand, aFlags, ComSafeArrayInArg(aArguments),
                                   ComSafeArrayInArg(aEnvironment),
-                                  Username, aPassword, aTimeoutMS, aPID, aProgress, NULL /* rc */);
+                                  aUsername, aPassword, aTimeoutMS, aPID, aProgress, NULL /* rc */);
 #endif
 }
@@ -1124,5 +1124,5 @@
 /**
  * Executes and waits for an internal tool (that is, a tool which is integrated into
- * VBoxService, beginning with "vbox_" (e.g. "vbox_ls")).
+ * VBoxService, beginning with "vbox_" (e.g. "vbox_ls")) to finish its operation.
  *
  * @return  HRESULT
@@ -1130,5 +1130,5 @@
  * @param   aDescription            Friendly description of the operation.
  * @param   aFlags                  Execution flags.
- * @param   Username               Username to execute tool under.
+ * @param   aUsername               Username to execute tool under.
  * @param   aPassword               The user's password.
  * @param   aProgress               Pointer which receives the tool's progress object. Optional.
@@ -1137,5 +1137,5 @@
 HRESULT Guest::executeAndWaitForTool(IN_BSTR aTool, IN_BSTR aDescription,
                                      ComSafeArrayIn(IN_BSTR, aArguments), ComSafeArrayIn(IN_BSTR, aEnvironment),
-                                     IN_BSTR Username, IN_BSTR aPassword,
+                                     IN_BSTR aUsername, IN_BSTR aPassword,
                                      IProgress **aProgress, ULONG *aPID)
 {
@@ -1143,10 +1143,11 @@
     ULONG uPID;
 
-    HRESULT rc = ExecuteProcess(aTool,
-                                ExecuteProcessFlag_Hidden,
-                                aArguments, aEnvironment,
-                                Username, aPassword,
-                                5 * 1000 /* Wait 5s for getting the process started. */,
-                                &uPID, progressTool.asOutParam());
+    HRESULT rc = this->ExecuteProcess(aTool,
+                                      ExecuteProcessFlag_Hidden,
+                                      ComSafeArrayInArg(aArguments),
+                                      ComSafeArrayInArg(aEnvironment),
+                                      aUsername, aPassword,
+                                      5 * 1000 /* Wait 5s for getting the process started. */,
+                                      &uPID, progressTool.asOutParam());
     if (SUCCEEDED(rc))
     {
@@ -1261,5 +1262,5 @@
 HRESULT Guest::executeProcessInternal(IN_BSTR aCommand, ULONG aFlags,
                                       ComSafeArrayIn(IN_BSTR, aArguments), ComSafeArrayIn(IN_BSTR, aEnvironment),
-                                      IN_BSTR Username, IN_BSTR aPassword,
+                                      IN_BSTR aUsername, IN_BSTR aPassword,
                                       ULONG aTimeoutMS, ULONG *aPID, IProgress **aProgress, int *pRC)
 {
@@ -1335,5 +1336,5 @@
         }
 
-        Utf8Str Utf8UserName(Username);
+        Utf8Str Utf8UserName(aUsername);
         Utf8Str Utf8Password(aPassword);
         if (RT_SUCCESS(vrc))
@@ -1915,5 +1916,5 @@
 
 STDMETHODIMP Guest::CopyFromGuest(IN_BSTR aSource, IN_BSTR aDest,
-                                  IN_BSTR Username, IN_BSTR aPassword,
+                                  IN_BSTR aUsername, IN_BSTR aPassword,
                                   ULONG aFlags, IProgress **aProgress)
 {
@@ -1923,5 +1924,5 @@
     CheckComArgStrNotEmptyOrNull(aSource);
     CheckComArgStrNotEmptyOrNull(aDest);
-    CheckComArgStrNotEmptyOrNull(Username);
+    CheckComArgStrNotEmptyOrNull(aUsername);
     CheckComArgStrNotEmptyOrNull(aPassword);
     CheckComArgOutPointerValid(aProgress);
@@ -1965,5 +1966,5 @@
         task->strSource   = (Utf8Str(aSource));
         task->strDest     = (Utf8Str(aDest));
-        task->strUserName = (Utf8Str(Username));
+        task->strUserName = (Utf8Str(aUsername));
         task->strPassword = (Utf8Str(aPassword));
         task->uFlags      = aFlags;
@@ -1990,5 +1991,5 @@
 
 STDMETHODIMP Guest::CopyToGuest(IN_BSTR aSource, IN_BSTR aDest,
-                                IN_BSTR Username, IN_BSTR aPassword,
+                                IN_BSTR aUsername, IN_BSTR aPassword,
                                 ULONG aFlags, IProgress **aProgress)
 {
@@ -1998,5 +1999,5 @@
     CheckComArgStrNotEmptyOrNull(aSource);
     CheckComArgStrNotEmptyOrNull(aDest);
-    CheckComArgStrNotEmptyOrNull(Username);
+    CheckComArgStrNotEmptyOrNull(aUsername);
     CheckComArgStrNotEmptyOrNull(aPassword);
     CheckComArgOutPointerValid(aProgress);
@@ -2040,5 +2041,5 @@
         task->strSource   = (Utf8Str(aSource));
         task->strDest     = (Utf8Str(aDest));
-        task->strUserName = (Utf8Str(Username));
+        task->strUserName = (Utf8Str(aUsername));
         task->strPassword = (Utf8Str(aPassword));
         task->uFlags      = aFlags;