Index: /trunk/src/VBox/Frontends/VirtualBox/Makefile.kmk
===================================================================
--- /trunk/src/VBox/Frontends/VirtualBox/Makefile.kmk	(revision 38371)
+++ /trunk/src/VBox/Frontends/VirtualBox/Makefile.kmk	(revision 38372)
@@ -354,5 +354,5 @@
 	src/widgets/VBoxOSTypeSelectorWidget.h \
 	src/widgets/VBoxWarningPane.h \
-	src/selector/UIActionPoolOffline.h \
+	src/selector/UIActionPoolSelector.h \
 	src/selector/UIVMDesktop.h \
 	src/selector/UIVMListView.h \
@@ -399,5 +399,4 @@
 	src/globals/UIActionPool.cpp \
 	src/extensions/QISplitter.cpp \
-	src/selector/UIActionPoolOffline.cpp \
 	src/selector/UIVMDesktop.cpp \
 	src/settings/UISettingsDialogSpecific.cpp \
@@ -527,5 +526,5 @@
 	src/widgets/VBoxOSTypeSelectorWidget.cpp \
 	src/widgets/VBoxWarningPane.cpp \
-	src/selector/UIActionPoolOffline.cpp \
+	src/selector/UIActionPoolSelector.cpp \
 	src/selector/UISelectorShortcuts.cpp \
 	src/selector/UIVMDesktop.cpp \
Index: unk/src/VBox/Frontends/VirtualBox/src/selector/UIActionPoolOffline.cpp
===================================================================
--- /trunk/src/VBox/Frontends/VirtualBox/src/selector/UIActionPoolOffline.cpp	(revision 38371)
+++ 	(revision )
@@ -1,62 +1,0 @@
-/* $Id$ */
-/** @file
- *
- * VBox frontends: Qt GUI ("VirtualBox"):
- * UIActionPoolOffline class implementation
- */
-
-/*
- * Copyright (C) 2010-2011 Oracle Corporation
- *
- * This file is part of VirtualBox Open Source Edition (OSE), as
- * available from http://www.virtualbox.org. This file is free software;
- * you can redistribute it and/or modify it under the terms of the GNU
- * General Public License (GPL) as published by the Free Software
- * Foundation, in version 2 as it comes in the "COPYING" file of the
- * VirtualBox OSE distribution. VirtualBox OSE is distributed in the
- * hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
- */
-
-/* Local includes: */
-#include "UIActionPoolOffline.h"
-
-/* static */
-void UIActionPoolOffline::create()
-{
-    /* Check that instance do NOT exists: */
-    if (m_pInstance)
-        return;
-
-    /* Create instance: */
-    UIActionPoolOffline *pPool = new UIActionPoolOffline;
-    /* Prepare instance: */
-    pPool->prepare();
-}
-
-/* static */
-void UIActionPoolOffline::destroy()
-{
-    /* Check that instance exists: */
-    if (!m_pInstance)
-        return;
-
-    /* Cleanup instance: */
-    m_pInstance->cleanup();
-    /* Delete instance: */
-    delete m_pInstance;
-}
-
-void UIActionPoolOffline::createActions()
-{
-    /* Global actions creation: */
-    UIActionPool::createActions();
-}
-
-void UIActionPoolOffline::createMenus()
-{
-    /* Global menus creation: */
-    UIActionPool::createMenus();
-}
-
-#include "UIActionPoolOffline.moc"
-
Index: unk/src/VBox/Frontends/VirtualBox/src/selector/UIActionPoolOffline.h
===================================================================
--- /trunk/src/VBox/Frontends/VirtualBox/src/selector/UIActionPoolOffline.h	(revision 38371)
+++ 	(revision )
@@ -1,54 +1,0 @@
-/** @file
- *
- * VBox frontends: Qt GUI ("VirtualBox"):
- * UIActionPoolOffline class declaration
- */
-
-/*
- * Copyright (C) 2010-2011 Oracle Corporation
- *
- * This file is part of VirtualBox Open Source Edition (OSE), as
- * available from http://www.virtualbox.org. This file is free software;
- * you can redistribute it and/or modify it under the terms of the GNU
- * General Public License (GPL) as published by the Free Software
- * Foundation, in version 2 as it comes in the "COPYING" file of the
- * VirtualBox OSE distribution. VirtualBox OSE is distributed in the
- * hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
- */
-
-#ifndef __UIActionPoolOffline_h__
-#define __UIActionPoolOffline_h__
-
-/* Local includes: */
-#include "UIActionPool.h"
-
-/* Action keys: */
-enum UIActionIndexOffline
-{
-    /* Maximum index: */
-    UIActionIndexOffline_Max = UIActionIndex_Max + 1
-};
-
-/* Singleton runtime action pool: */
-class UIActionPoolOffline : public UIActionPool
-{
-    Q_OBJECT;
-
-public:
-
-    /* Singleton methods: */
-    static void create();
-    static void destroy();
-
-private:
-
-    /* Constructor: */
-    UIActionPoolOffline() : UIActionPool(UIActionPoolType_Offline) {}
-
-    /* Virtual helping stuff: */
-    void createActions();
-    void createMenus();
-};
-
-#endif // __UIActionPoolOffline_h__
-
Index: /trunk/src/VBox/Frontends/VirtualBox/src/selector/UIActionPoolSelector.cpp
===================================================================
--- /trunk/src/VBox/Frontends/VirtualBox/src/selector/UIActionPoolSelector.cpp	(revision 38372)
+++ /trunk/src/VBox/Frontends/VirtualBox/src/selector/UIActionPoolSelector.cpp	(revision 38372)
@@ -0,0 +1,60 @@
+/* $Id$ */
+/** @file
+ *
+ * VBox frontends: Qt GUI ("VirtualBox"):
+ * UIActionPoolSelector class implementation
+ */
+
+/*
+ * Copyright (C) 2010-2011 Oracle Corporation
+ *
+ * This file is part of VirtualBox Open Source Edition (OSE), as
+ * available from http://www.virtualbox.org. This file is free software;
+ * you can redistribute it and/or modify it under the terms of the GNU
+ * General Public License (GPL) as published by the Free Software
+ * Foundation, in version 2 as it comes in the "COPYING" file of the
+ * VirtualBox OSE distribution. VirtualBox OSE is distributed in the
+ * hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
+ */
+
+/* Local includes: */
+#include "UIActionPoolSelector.h"
+
+/* static */
+void UIActionPoolSelector::create()
+{
+    /* Check that instance do NOT exists: */
+    if (m_pInstance)
+        return;
+
+    /* Create instance: */
+    UIActionPoolSelector *pPool = new UIActionPoolSelector;
+    /* Prepare instance: */
+    pPool->prepare();
+}
+
+/* static */
+void UIActionPoolSelector::destroy()
+{
+    /* Check that instance exists: */
+    if (!m_pInstance)
+        return;
+
+    /* Cleanup instance: */
+    m_pInstance->cleanup();
+    /* Delete instance: */
+    delete m_pInstance;
+}
+
+void UIActionPoolSelector::createActions()
+{
+    /* Global actions creation: */
+    UIActionPool::createActions();
+}
+
+void UIActionPoolSelector::createMenus()
+{
+    /* Global menus creation: */
+    UIActionPool::createMenus();
+}
+
Index: /trunk/src/VBox/Frontends/VirtualBox/src/selector/UIActionPoolSelector.h
===================================================================
--- /trunk/src/VBox/Frontends/VirtualBox/src/selector/UIActionPoolSelector.h	(revision 38372)
+++ /trunk/src/VBox/Frontends/VirtualBox/src/selector/UIActionPoolSelector.h	(revision 38372)
@@ -0,0 +1,54 @@
+/** @file
+ *
+ * VBox frontends: Qt GUI ("VirtualBox"):
+ * UIActionPoolSelector class declaration
+ */
+
+/*
+ * Copyright (C) 2010-2011 Oracle Corporation
+ *
+ * This file is part of VirtualBox Open Source Edition (OSE), as
+ * available from http://www.virtualbox.org. This file is free software;
+ * you can redistribute it and/or modify it under the terms of the GNU
+ * General Public License (GPL) as published by the Free Software
+ * Foundation, in version 2 as it comes in the "COPYING" file of the
+ * VirtualBox OSE distribution. VirtualBox OSE is distributed in the
+ * hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
+ */
+
+#ifndef __UIActionPoolSelector_h__
+#define __UIActionPoolSelector_h__
+
+/* Local includes: */
+#include "UIActionPool.h"
+
+/* Action keys: */
+enum UIActionIndexOffline
+{
+    /* Maximum index: */
+    UIActionIndexOffline_Max = UIActionIndex_Max + 1
+};
+
+/* Singleton runtime action pool: */
+class UIActionPoolSelector : public UIActionPool
+{
+    Q_OBJECT;
+
+public:
+
+    /* Singleton methods: */
+    static void create();
+    static void destroy();
+
+private:
+
+    /* Constructor: */
+    UIActionPoolSelector() : UIActionPool(UIActionPoolType_Offline) {}
+
+    /* Virtual helping stuff: */
+    void createActions();
+    void createMenus();
+};
+
+#endif // __UIActionPoolSelector_h__
+
Index: /trunk/src/VBox/Frontends/VirtualBox/src/selector/VBoxSelectorWnd.cpp
===================================================================
--- /trunk/src/VBox/Frontends/VirtualBox/src/selector/VBoxSelectorWnd.cpp	(revision 38371)
+++ /trunk/src/VBox/Frontends/VirtualBox/src/selector/VBoxSelectorWnd.cpp	(revision 38372)
@@ -42,5 +42,5 @@
 #include "UIDesktopServices.h"
 #include "UIGlobalSettingsExtension.h" /* extension pack installation */
-#include "UIActionPoolOffline.h"
+#include "UIActionPoolSelector.h"
 
 #ifdef VBOX_GUI_WITH_SYSTRAY
@@ -95,5 +95,5 @@
 {
     /* Create offline action pool: */
-    UIActionPoolOffline::create();
+    UIActionPoolSelector::create();
 
     VBoxGlobalSettings settings = vboxGlobal().settings();
@@ -565,5 +565,5 @@
 
     /* Delete offline action pool: */
-    UIActionPoolOffline::destroy();
+    UIActionPoolSelector::destroy();
 }
 